/*
 * PIC32 microcontroller interrupt handling code.
 *
 * Copyright (C) 2017, 2018 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __CPU_H__
#define __CPU_H__

#define CPU_INT_PRIORITY 3

#ifndef __ASSEMBLER__

/* Specific operations. */

void enable_interrupts(void);
void handle_error_level(void);
void init_interrupts(void);

#endif /* __ASSEMBLER__ */

#endif /* __CPU_H__ */
